clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clang::query::SetQuery< T > Struct Template Reference

Query for "set VAR VALUE". More...

`#include <Query.h>`

Inheritance diagram for clang::query::SetQuery< T >:
[legend]
Collaboration diagram for clang::query::SetQuery< T >:
[legend]

## Public Member Functions
| SetQuery (T QuerySession::*Var, T Value)
bool | run (llvm::raw_ostream &OS, QuerySession &QS) const override
| Perform the query on `QS` and print output to `OS`. More...
Public Member Functions inherited from clang::query::Query
| Query (QueryKind Kind)
virtual | ~Query ()

## Static Public Member Functions
static bool | classof (const Query *Q)

## Public Attributes
T QuerySession::* | Var
T | Value
Public Attributes inherited from clang::query::Query
const QueryKind | Kind

## Detailed Description

### template<typename T>
struct clang::query::SetQuery< T >

Query for "set VAR VALUE".

Definition at line 121 of file Query.h.

## Constructor & Destructor Documentation

template<typename T >

clang::query::SetQuery< T >::SetQuery | ( | T QuerySession::* | Var,
|  | T | Value
| ) |  |
| inline

Definition at line 122 of file Query.h.

## Member Function Documentation

template<typename T >

static bool clang::query::SetQuery< T >::classof | ( | const Query * | Q | ) |
| inline static

Definition at line 129 of file Query.h.

References clang::query::Query::Kind.

template<typename T >

bool clang::query::SetQuery< T >::run | ( | llvm::raw_ostream & | OS,
|  | QuerySession & | QS
| ) |  | const
| inline override virtual

Perform the query on `QS` and print output to `OS`.

Returns
  false if an error occurs, otherwise return true.

Implements clang::query::Query.

Definition at line 124 of file Query.h.

References clang::query::SetQuery< T >::Value, and clang::query::SetQuery< T >::Var.

## Member Data Documentation

template<typename T >

T clang::query::SetQuery< T >::Value

Definition at line 134 of file Query.h.

Referenced by clang::query::SetQuery< T >::run().

template<typename T >

T QuerySession::* clang::query::SetQuery< T >::Var

Definition at line 133 of file Query.h.

Referenced by clang::query::SetQuery< T >::run().

The documentation for this struct was generated from the following file:

- Query.h